# Webhooks

These endpoints allow you to manually trigger your pre-configured webhooks.<br><br><a href='https://docs.fordefi.com/reference/webhooks'>Use Webhooks</a> describes how to configure webhooks, validate them, and resend them. <br><br>There are two webhook types. Webhook V1 and Webhook V2. <ul><li>Webhook V1 contains minimal details about the transaction. It is deprecated and will be removed in the future. It is recommended to use Webhook V2 instead.</li><li>Webhook V2 delivers the full set of details about the transaction as retrieved by a call to the <a href='https://docs.fordefi.com/api/latest/openapi/transactions/get_transaction_api_v1_transactions__id__get'>Get Transaction</a> endpoint.</li></ul>

## Test Webhook

 - [POST /api/v1/webhooks/test](https://docs.fordefi.com/api/latest/openapi/webhooks/test_webhook_api_v1_webhooks_test_post.md): Test a webhook.

## Trigger Transaction Webhook

 - [POST /api/v1/webhooks/trigger/transaction/{id}](https://docs.fordefi.com/api/latest/openapi/webhooks/trigger_transaction_webhook_api_v1_webhooks_trigger_transaction__id__post.md): Trigger transaction create and latest state via webhooks.

